Subject: Re: I have a PO # for payment
From: "LLPS Customer Service" <[email-masked]>
To: "Faron, Carol" <[email-masked]>
Date: Fri, 17 Oct 2014 12:19:55 -0400

Hello.
The state posters just came off back order and your order should be on its way to your office soon.  If you have the PO number now, you could email it back and we can add it to your order.  We can then fax you another invoice with the number if needed.  Just let us know.
Thank you,
LLPS

From: Faron, Carol 
Sent: Friday, October 17, 2014 12:13 PM
To: [email-masked] 
Subject: I have a PO # for payment

When would I give you the PO # for the payment of the Labor Law poster that I had ordered the order # is 1870029 

Thanks,
Carol Faron
Worcester State University
486 Chandler Street
Worcester, MA 01602